linux-lowlatency does not depend on linux-headers-lowlatency

Bug #1092751 reported by Rüdiger Kupper
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-meta-lowlatency (Ubuntu)
Triaged
Low
Unassigned

Bug Description

"linux-lowlatency" does not depend on "linux-headers-lowlatency".
This might be by purpose, but it is in contrast to "linux-generic", which depends on "linux-headers-generic":

ruediger@helge:~$ apt-cache depends linux-lowlatency
linux-lowlatency
  Depends: linux-image-lowlatency
  Conflicts: linux-lowlatency:i386
ruediger@helge:~$ apt-cache depends linux-generic
linux-generic
  Depends: linux-image-generic
  Depends: linux-headers-generic
  Conflicts: linux-generic:i386

This is confusing and will cause unexpected errors with dkms, as the header files need to be installed explicitly for -lowlatency (but not for -generic).

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-lowlatency (not installed)
ProcVersionSignature: Ubuntu 3.5.0-21.32-generic 3.5.7.1
Uname: Linux 3.5.0-21-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.6.1-0ubuntu9
Architecture: amd64
Date: Fri Dec 21 01:53:49 2012
EcryptfsInUse: Yes
InstallationDate: Installed on 2012-12-20 (0 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
SourcePackage: linux-meta-lowlatency
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Rüdiger Kupper (ruediger.kupper) wrote :
Micah Gersten (micahg)
Changed in linux-meta-lowlatency (Ubuntu):
importance: Undecided → Low
status: New → Triaged
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Bug attachments